[Solved] 75 Error Messages upon importing PUN2

Dear Community,

I have learned about the existence of PUN only recently. Intent on using it, I imported PUN2 from the asset store into a completely new project. Hereupon I received 75 error messages and 10 Warnings in my console. Clicking through them I noticed that almost all Error Messages pertain to some scripts within the /PhotonUnityNetworking/UtilityScripts directory. Most of them concern the UI and Prototyping folders.
Here is an example. There are quite a few similar ones:

"Assets/Photon/PhotonUnityNetworking/UtilityScripts/UI/ButtonInsideScrollList.cs(13,19): error CS0234: The type or namespace name 'UI' does not exist in the namespace 'UnityEngine' (are you missing an assembly reference?)"

So, what am I doing wrong? What is happening?
I would deeply appreciate your help.
Kind regards...

Comments

  • UI is now a package you need to download from the Unity package manager.
  • Thank you for your reply. The UI package was automatically included in my new 3D project. Something else must be amiss.
  • By the way, I am using the PUN2 version 2.12 and Unity2019.2.0b1
  • Oh Lord, I do apologize. It seems I accidentally upgraded to a BETA Version. Going back to Unity2019.1.2f1, all errors have disappeared. I learned my lesson. Take care everyone.
  • I do not have the BETA build and am getting 75 errors.

    1) Started new project
    2) Imported PUN 2 in to the main Assets folder
    3) get 75 errors
    4) I have the Unity UI folder in the Packages folder
    5) Moving the Unity UI folders to Assets folder removes the 74 errors, but created duplicate Assembly errors.

    Any ideas?
  • When I comment out Unity UI/Tests/Unity.ugui.Tests the 75 errors go away but I get an error

    JSON parse error: Missing a name for object member. (Packages/com.unity.ugui/Tests/Runtime/Unity.ugui.Tests.asmdef)

    but commenting it out is the only way I have been able to get rid of the 75 errors.
  • JohnTubeJohnTube mod
    edited June 14
    Hi @StrayGames,

    Thank you for choosing Photon!

    Did you import UI package as mentioned here?
    What Unity version are you using?
  • JohnTube said:

    Hi @StrayGames,

    Thank you for choosing Photon!

    Did you import UI package as mentioned here?
    What Unity version are you using?

    Thanks for getting back to me.
    I did import the UI package.
    And I am using 2019.3.0a4
  • Hi @StrayGames,

    You are using a pre-release alpha version.
    We support only stable releases.
    Currently, the latest stable release is 2019.1.6.
  • Well shoot, I thought the download they offered was stable.
    Is stable only paid?

    Sorry and thank you, I knew I did not have the beta, but how stupid do I look with an Alpha build lol.
  • Is stable only paid?
    No. Latest stable is 2019.1.7f1.
  • TobiasTobias admin
    Unity 2019.3.0a6 seemed to work but I only gave it a quick go with PUN 2.13.
Sign In or Register to comment.